## python-fuse 1.0.5

=== Makefile ===
all: source manylinux

source:
	python3 setup.py sdist

manylinux:
	docker run --rm -it -e PLAT=manylinux2010_x86_64 -v $(PWD):/io:Z -w /io quay.io/pypa/manylinux2010_x86_64 bash -c "yum install -y fuse-devel && /opt/python/cp39-cp39/bin/python setup.py bdist_wheel && auditwheel repair dist/*.whl"

clean:
	python3 setup.py clean --all
	rm -fr build dist fuse_python.egg-info wheelhouse

## python-fuse 0.2.1

=== debian/changelog ===
python-fuse (2:0.2.1-16) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o
  * Force gz compression in gbp.conf for now, because 0.2.1 was uploaded as gz

 -- Sebastien Delafond <seb@debian.org>  Fri, 16 Feb 2018 17:39:36 +0100

python-fuse (2:0.2.1-15) unstable; urgency=medium

  * Change short description (Closes: #876157)

 -- Sebastien Delafond <seb@debian.org>  Tue, 19 Sep 2017 08:30:27 +0200

python-fuse (2:0.2.1-14) unstable; urgency=medium

  * Update debian/watch file
  * Bump up Standards-Version
  * Remove debian/pycompat

 -- Sebastien Delafond <seb@debian.org>  Fri, 01 Jul 2016 17:13:55 +0200

python-fuse (2:0.2.1-13) unstable; urgency=medium

  * Add homepage in debian/control (Closes: #828684)
  * Add --with python2 in debian/rules (Closes: 828754)

 -- Sebastien Delafond <seb@debian.org>  Mon, 27 Jun 2016 16:36:04 +0200

python-fuse (2:0.2.1-12) unstable; urgency=medium

  * Build-depend on gcc instead of gcc-4.9 (Closes: 818780)

 -- Sebastien Delafond <seb@debian.org>  Mon, 21 Mar 2016 10:01:05 +0100

python-fuse (2:0.2.1-11) unstable; urgency=medium

  * Update watch file
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sun, 03 May 2015 11:22:47 +0200

python-fuse (2:0.2.1-10) unstable; urgency=medium

  * Bump up Standards-Version
  * Move debian/compat to 9
  * Move to dh

 -- Sebastien Delafond <seb@debian.org>  Thu, 25 Sep 2014 14:43:42 +0200

python-fuse (2:0.2.1-9) unstable; urgency=low

  * gitignore
  * Fix Vcs-Browser URL (Closes: #732686)

 -- Sebastien Delafond <seb@debian.org>  Fri, 20 Dec 2013 12:58:25 +0100

python-fuse (2:0.2.1-8) unstable; urgency=low

  * Add to collab-maint
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sun, 11 Aug 2013 22:00:19 +0200

python-fuse (2:0.2.1-7) unstable; urgency=low

  * Any FUSE-compliant implementation will do (thanks Robert McMillan for
    the tip) (Closes: #623027)

 -- Sebastien Delafond <seb@debian.org>  Sun, 02 Oct 2011 11:29:20 +0200

python-fuse (2:0.2.1-6) unstable; urgency=low

  * Only for linux-any, since fuse-utils is not available on kfreebsd-*
    (Closes: #623027, #634763)

 -- Sebastien Delafond <seb@debian.org>  Thu, 29 Sep 2011 09:38:55 +0200

python-fuse (2:0.2.1-5) unstable; urgency=low

  * Switched to dh_python2 (Closes: #617006).
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Wed, 13 Apr 2011 16:09:07 +0200

python-fuse (2:0.2.1-4) unstable; urgency=low

  * Removed extra changelog (Closes: #614696).

 -- Sebastien Delafond <seb@debian.org>  Mon, 28 Feb 2011 10:05:46 +0100

python-fuse (2:0.2.1-3) unstable; urgency=low

  * Updated README.Debian (Closes: #607397).
  * Bumped Standards-Version.
  * Fixed lintian warnings.

 -- Sebastien Delafond <seb@debian.org>  Wed, 22 Dec 2010 13:17:34 +0100

python-fuse (2:0.2.1-2) unstable; urgency=low

  * Depend on fuse-utils (Closes: #584675).

 -- Sebastien Delafond <seb@debian.org>  Thu, 10 Jun 2010 11:12:16 +0200

python-fuse (2:0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Moved to 3.0 (quilt) source format.
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Thu, 15 Apr 2010 10:44:36 +0200

python-fuse (2:0.2-2) unstable; urgency=low

  * New watch file.
  * Bumped up Standards revision.
  * Various lintian cleanups.

 -- Sebastien Delafond <seb@debian.org>  Sun, 11 Oct 2009 12:13:24 +0200

python-fuse (2:0.2-1) unstable; urgency=low

  * New upstream release.
  * Honor size-0 API (Closes: #524655).

 -- Sebastien Delafond <seb@debian.org>  Sat, 18 Apr 2009 13:23:04 -0700

python-fuse (1:0.2-pre3-9) unstable; urgency=low

  * Add a dpatch to fix xmp.py race condition (Closes: #500584).
  
 -- Sebastien Delafond <seb@debian.org>  Tue, 30 Sep 2008 09:20:27 -0700

python-fuse (1:0.2-pre3-8) unstable; urgency=low

  * Build-conflict with python-setuptools: depending on whether it is
    installed at build time, binary packages end up with different
    contents (Closes: #495500).
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Aug 2008 12:03:53 -0700

python-fuse (1:0.2-pre3-7) unstable; urgency=low

  * Applied patch that prevents python-fuse from deadlocking while
    unmounting a filesystem (Closes: #495493).
  
 -- Sebastien Delafond <seb@debian.org>  Sun, 17 Aug 2008 18:00:19 -0700

python-fuse (1:0.2-pre3-6) unstable; urgency=low

  * priority is now optional (Closes: #478888).
  
 -- Sebastien Delafond <seb@debian.org>  Tue, 06 May 2008 16:44:16 -0700

python-fuse (1:0.2-pre3-5) unstable; urgency=low

  * Use cdbs python-distutils class.
  * Lintian cleanups.  
  * dpatch is not needed as a Build-Dep anymore.
  * Build packages for multiple Python versions: thanks to Forest Bonds
    <forest@alittletooquiet.net> for the patch (Closes: #470711).
    
 -- Sebastien Delafond <seb@debian.org>  Thu, 13 Mar 2008 11:53:05 -0700

python-fuse (1:0.2-pre3-4) unstable; urgency=low

  * Use sf.net directly in debian/watch (Closes: #453545).

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Nov 2007 16:42:28 -0800

python-fuse (1:0.2-pre3-3) unstable; urgency=low

  * Update README.Debian (Closes: #427025).

 -- Sebastien Delafond <seb@debian.org>  Fri, 01 Jun 2007 09:58:33 -0700

python-fuse (1:0.2-pre3-2) unstable; urgency=low

  * Added watch file.

 -- Sebastien Delafond <seb@debian.org>  Sat, 26 May 2007 19:09:34 -0700

python-fuse (1:0.2-pre3-1) unstable; urgency=low

  * New upstream release (Closes: #424748 , #407695).

 -- Sebastien Delafond <seb@debian.org>  Sat, 26 May 2007 11:38:14 -0700

python-fuse (2.5-5) unstable; urgency=low

  * Rebuild with new default version of python (Closes: #382915).

 -- Sebastien Delafond <seb@debian.org>  Fri, 18 Aug 2006 20:04:19 -0700

python-fuse (2.5-4) unstable; urgency=low

  * Correct versioned Replaces/Conflicts binary dependencies (Closes:
    #374138)

 -- Sebastien Delafond <seb@debian.org>  Mon, 19 Jun 2006 16:29:04 -0700



=== debian/control ===
Source: python-fuse
Section: python
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: python-all-dev (>= 2.6.6-3~), python (>= 2.3.5-7), dh-python, dh-buildinfo, libfuse-dev (>= 2.5), debhelper (>= 9~), pkg-config
Build-Conflicts: python-setuptools
Standards-Version: 4.1.3
Homepage: https://github.com/libfuse/python-fuse
Vcs-Git: https://salsa.debian.org/debian/python-fuse.git
Vcs-Browser: https://salsa.debian.org/debian/python-fuse

Package: python-fuse
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, fuse [linux-any] | fuse4bsd [kfreebsd-any]
Provides: ${python:Provides}
Breaks: gmailfs (<= 0.7.3-4), wikipediafs (<= 0.3), python2.4-fuse (<< 2.5-3), python2.3-fuse (<< 2.5-3)
Replaces: python2.4-fuse (<< 2.5-3), python2.3-fuse (<< 2.5-3)
Description: Python bindings for FUSE (Filesystems in USErspace)
 This is a Python interface to FUSE.
 .
 FUSE (Filesystem in USErspace) is a simple interface for userspace
 programs to export a virtual filesystem to the Linux kernel. FUSE
 also aims to provide a secure method for non privileged users to
 create and mount their own filesystem implementations.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=fuse

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/libfuse/python-fuse/releases .*/(\d[\d\.]*)\.tar\.gz debian uupdate

## python-fuse 0.3.0

=== debian/changelog ===
python-fuse (2:0.3.0-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:54:43 +0000

python-fuse (2:0.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Delafond <seb@debian.org>  Sat, 17 Feb 2018 09:17:15 +0100

## python-fuse 0.3.1

=== debian/changelog ===
python-fuse (2:0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1

 -- Sebastien Delafond <seb@debian.org>  Mon, 27 Aug 2018 14:02:17 +0200

python-fuse (2:0.3.0-2) unstable; urgency=medium

  * debian/watch now looks for vX.Y releases on GitHub

 -- Sebastien Delafond <seb@debian.org>  Sun, 26 Aug 2018 19:06:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: python-all-dev (>= 2.6.6-3~), python (>= 2.3.5-7), dh-python, dh-buildinfo, libfuse-dev (>= 2.5), debhelper (>= 9~), pkg-config
-Build-Conflicts: python-setuptools
+Build-Depends: python-all-dev, python-setuptools, libfuse-dev (>= 2.5), debhelper (>= 9~), pkg-config, python3-all-dev, python3-setuptools
 Standards-Version: 4.1.3
 Homepage: https://github.com/libfuse/python-fuse
 Vcs-Git: https://salsa.debian.org/debian/python-fuse.git
@@ -22,3 +21,19 @@
  programs to export a virtual filesystem to the Linux kernel. FUSE
  also aims to provide a secure method for non privileged users to
  create and mount their own filesystem implementations.
+
+Package: python3-fuse
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, fuse [linux-any] | fuse4bsd [kfreebsd-any]
+Provides: ${python:Provides}
+Breaks: gmailfs (<= 0.7.3-4), wikipediafs (<= 0.3), python2.4-fuse (<< 2.5-3), python2.3-fuse (<< 2.5-3)
+Replaces: python2.4-fuse (<< 2.5-3), python2.3-fuse (<< 2.5-3)
+Description: Python bindings for FUSE (Filesystems in USErspace) (Python 3 package)
+ This is a Python interface to FUSE.
+ .
+ FUSE (Filesystem in USErspace) is a simple interface for userspace
+ programs to export a virtual filesystem to the Linux kernel. FUSE
+ also aims to provide a secure method for non privileged users to
+ create and mount their own filesystem implementations.
+ .
+ This is the Python 3 package

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_NAME=fuse
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/libfuse/python-fuse/releases .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## python-fuse 1.0.0

=== debian/changelog ===
python-fuse (2:1.0.0-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:58 +0100

python-fuse (2:1.0.0-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937771

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jan 2020 17:03:03 -0500

python-fuse (2:1.0.0-2) unstable; urgency=medium

  * Add explicit build dependency on dh-python (Closes: #944946)
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Nov 2019 10:45:39 +0100

python-fuse (2:1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Add d/NEWS to mention breaking change about read/write data type
  * Remove old patch
  * Remove -pie from DEB_BUILD_MAINT_OPTIONS
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Mon, 29 Jul 2019 12:45:21 +0200

=== debian/control ===
Source: python-fuse
Section: python
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: libfuse-dev (>= 2.5), debhelper (>= 9~), pkg-config, python3-all-dev, python3-setuptools, dh-python
Standards-Version: 4.4.0
Homepage: https://github.com/libfuse/python-fuse
Vcs-Git: https://salsa.debian.org/debian/python-fuse.git
Vcs-Browser: https://salsa.debian.org/debian/python-fuse

Package: python3-fuse
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, fuse [linux-any] | fuse4bsd [kfreebsd-any]
Provides: ${python:Provides}
Breaks: gmailfs (<= 0.7.3-4), wikipediafs (<= 0.3), python2.4-fuse (<< 2.5-3), python2.3-fuse (<< 2.5-3)
Replaces: python2.4-fuse (<< 2.5-3), python2.3-fuse (<< 2.5-3)
Description: Python bindings for FUSE (Filesystems in USErspace) (Python 3 package)
 This is a Python interface to FUSE.
 .
 FUSE (Filesystem in USErspace) is a simple interface for userspace
 programs to export a virtual filesystem to the Linux kernel. FUSE
 also aims to provide a secure method for non privileged users to
 create and mount their own filesystem implementations.
 .
 This is the Python 3 package

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_NAME=fuse

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-fuse 1.0.2

=== debian/changelog ===
python-fuse (2:1.0.2-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:53:43 +0000

python-fuse (2:1.0.2-1build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:58:25 +0000

python-fuse (2:1.0.2-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.0.2, fixing race in xmp.py and surrogateescape
    handling in fsyncdir/readdir/write

 -- Sebastien Delafond <seb@debian.org>  Thu, 18 Feb 2021 08:20:05 +0100

python-fuse (2:1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Bump-up Standards-Version
  * Use debhelper-compat=12

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Jan 2021 10:46:34 +0100

=== debian/watch ===
version=4
https://github.com/libfuse/python-fuse/releases .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## python-fuse 1.0.5

=== debian/changelog ===
python-fuse (2:1.0.5-1build2) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:31:27 -0500

python-fuse (2:1.0.5-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:54:05 +0000

python-fuse (2:1.0.5-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.0.5 (Closes: #1010070)

 -- Sebastien Delafond <seb@debian.org>  Mon, 25 Apr 2022 08:35:07 +0200

## python-fuse 1.0.7

=== Makefile ===
all: source manylinux

source:
	python3 setup.py sdist

manylinux:
	docker run --rm -it -e PLAT=manylinux_2_28 -v $(PWD):/io -w /io quay.io/pypa/manylinux_2_28_x86_64 bash -c "yum install -y fuse-devel && /opt/python/cp312-cp312/bin/python setup.py bdist_wheel && auditwheel repair dist/*.whl"

clean:
	python3 setup.py clean --all
	rm -fr build dist fuse_python.egg-info wheelhouse

=== debian/changelog ===
python-fuse (2:1.0.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:04:34 +0000

python-fuse (2:1.0.7-1build1) noble; urgency=high

  * No change rebuild against libfuse2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:50:17 +0100

python-fuse (2:1.0.7-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.0.7

 -- Sebastien Delafond <seb@debian.org>  Mon, 04 Dec 2023 10:00:35 +0100

python-fuse (2:1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * Add autopkgtests

 -- Sebastien Delafond <seb@debian.org>  Sun, 12 Nov 2023 17:02:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-fuse
 Section: python
 Priority: optional
-Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: libfuse-dev (>= 2.5), debhelper (>= 9~), pkg-config, python3-all-dev, python3-setuptools, dh-python
-Standards-Version: 4.4.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sebastien Delafond <seb@debian.org>
+Build-Depends: libfuse-dev (>= 2.5), debhelper-compat (= 12), pkg-config, python3-all-dev, python3-setuptools, dh-python
+Standards-Version: 4.6.1
 Homepage: https://github.com/libfuse/python-fuse
 Vcs-Git: https://salsa.debian.org/debian/python-fuse.git
 Vcs-Browser: https://salsa.debian.org/debian/python-fuse

=== debian/watch ===
version=4
opts="mode=git" \
  https://github.com/libfuse/python-fuse \
  refs/tags/v?(\d\.[\d.]+) debian

## python-fuse 1.0.8

=== debian/changelog ===
python-fuse (2:1.0.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact.
  * Update standards version to 4.6.0, no changes needed.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Remove obsolete field Contact from debian/upstream/metadata (already present in machine-readable debian/copyright).
  * Update standards version to 4.6.2, no changes needed.
  * Set upstream metadata fields: Repository.

  [ Sébastien Delafond ]
  * New upstream version 1.0.8
  * d/control: build-depend on pkgconf

 -- Sebastien Delafond <seb@debian.org>  Thu, 13 Jun 2024 11:32:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-fuse
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: libfuse-dev (>= 2.5), debhelper-compat (= 12), pkg-config, python3-all-dev, python3-setuptools, dh-python
-Standards-Version: 4.6.1
+Maintainer: Sebastien Delafond <seb@debian.org>
+Build-Depends: libfuse-dev, debhelper-compat (= 13), pkgconf, python3-all-dev, python3-setuptools, dh-python
+Standards-Version: 4.6.2
 Homepage: https://github.com/libfuse/python-fuse
 Vcs-Git: https://salsa.debian.org/debian/python-fuse.git
 Vcs-Browser: https://salsa.debian.org/debian/python-fuse

## python-fuse 1.0.9

=== Makefile ===
all: source manylinux

POLICY := manylinux_2_28
PLATFORM := x86_64
TAGS := cp312-cp312

source:
	python3 setup.py sdist

manylinux:
	docker run --rm -v $(PWD):/io -w /io quay.io/pypa/$(POLICY)_$(PLATFORM) \
	    make build-wheels \
            POLICY=$(POLICY) PLATFORM=$(PLATFORM) TAGS="$(TAGS)"

build-wheels:
	yum install -y fuse-devel
	$(foreach tag,$(TAGS),$(MAKE) build-wheel TAG=$(tag) PATH="/opt/python/$(tag)/bin:$(PATH)";)

build-wheel:
	python -m build --wheel --outdir dist-$(POLICY)-$(PLATFORM)-$(TAG)
	auditwheel repair dist-$(POLICY)-$(PLATFORM)-$(TAG)/*.whl

clean:
	python3 setup.py clean --all
	rm -fr build dist dist-* fuse_python.egg-info wheelhouse

=== debian/changelog ===
python-fuse (2:1.0.9-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:32:58 +0000

python-fuse (2:1.0.9-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.0.9

 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Nov 2024 08:13:43 +0100

python-fuse (2:1.0.8-2) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/control: bump-up Standards-Version
  * d/control: depend on fuse3 (>= 3.10.1-3) | fuse (<< 3) (Comment: #1084422)

 -- Sebastien Delafond <seb@debian.org>  Tue, 08 Oct 2024 12:00:44 +0200

=== debian/tests/control ===
Tests: hello-fs, fioc-fs
Depends: @
Architecture: amd64
Restrictions: isolation-machine, needs-sudo

=== debian/watch ===
version=4
https://github.com/libfuse/python-fuse/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## python-fuse 2.2

=== Makefile ===
#@+leo-ver=4
#@+node:@file Makefile
# Makefile now uses distutils

_fusemodule.so: _fusemodule.c
	#gcc -g3 -I/usr/include/python2.1 _fusemodule.c -Wl,-shared -o _fusemodule.so -Wimplicit -lfuse && python -c 'import _fuse'
	python setup.py build_ext --inplace

install: _fusemodule.so
	python setup.py install

clean:
	rm -rf _fusemodule.so *.pyc *.pyo *~ build
#@-node:@file Makefile
#@-leo
